Name:             maven-filtering
Version:          1.1
Release:          %mkrel 1
Summary:          Shared component providing resource filtering
License:          ASL 2.0
URL:              http://maven.apache.org/shared/%{name}/index.html
Source0:          http://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip
BuildArch:        noarch
Group:            Development/Java

BuildRequires:    maven-local
BuildRequires:    maven-shared
BuildRequires:    plexus-build-api
BuildRequires:    plexus-containers-component-metadata
BuildRequires:    cdi-api

Provides:         maven-shared-filtering = 1.0-99
Obsoletes:        maven-shared-filtering < 1.0-99 

%description
These Plexus components have been built from the filtering process/code in 
Maven Resources Plugin. The goal is to provide a shared component for all 
plugins that needs to filter resources.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

# Replace plexus-maven-plugin with plexus-component-metadata
%pom_xpath_set "pom:plugin[pom:artifactId[text()='plexus-maven-plugin']]//pom:goal[text()='descriptor']" generate-metadata
%pom_xpath_set "pom:artifactId[text()='plexus-maven-plugin']" plexus-component-metadata

%build
# Tests use a package that is no longer present in plexus-build-api (v0.0.7)
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc DEPENDENCIES LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Sat Sep 21 2013 dmorgan <dmorgan> 1.1-1.mga4
+ Revision: 483032
- New version 1.1

* Sat Jan 12 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 359637
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 10 2011 gil <gil> 1.0-1.mga2
+ Revision: 180004
- build fix
  migration from plexus-maven-plugin to plexus-containers-component-metadata

  + dmorgan <dmorgan>
    - imported package maven-filtering


* Wed Aug 31 2011 Tomas Radej <tradej@redhat.com> - 1.0-5
- Really fixed Provides/Obsoletes

* Wed Aug 31 2011 Tomas Radej <tradej@redhat.com> - 1.0-4
- Fixed Provides/Obsoletes

* Wed Aug 31 2011 Tomas Radej <tradej@redhat.com> - 1.0-3
- Added Provides/Obsoletes

* Tue Aug 16 2011 Tomas Radej <tradej@redhat.com> 1.0-2
- Removed rm -rf {buildroot}

* Tue Aug 16 2011 Tomas Radej <tradej@redhat.com> 1.0-1
- Initial release (thanks to the GULaG team)

